module Customers
  extend ActiveSupport::Concern

  included do
    helper_method :walkin, :takeaway if respond_to? :helper_method
  end

  def walkin
    return @walkin if defined? @walkin
    @walkin = Customer.walkin
  end

  def takeaway
    return @takeaway if defined? @takeaway
    @takeaway = Customer.takeaway
  end

end
